package com.nisum.mytime.service;

import java.sql.SQLException;
import java.text.ParseException;
import java.util.List;

import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.AttendenceData;
import com.nisum.mytime.model.EmpLoginData;

public interface AttendanceService {

	List<AttendenceData> getAttendanciesReport(String reportDate,String shift) throws MyTimeException, SQLException;

	List generatePdfReport(long id, String fromDate, String toDate, String fromTime, String toTime) throws MyTimeException;

    List<EmpLoginData> employeeLoginReportBasedOnDateTime(long id, String fromDate,
            String toDate,String fromTime,String toTime) throws MyTimeException, ParseException;
}
